import { ButtonHTMLAttributes } from 'react';
import { IRippleProps } from '../ripple/ripple.types';

export interface IconButtonMainProps {
    icon: string;
    selected?: boolean;
    disabled?: boolean;
    toggled?: false | ToggleButtonType;
    variant?: 'default' | 'filled' | 'tonal' | 'outlined';
}

export type StateToggleIconType = {
    state: string;
    icon: string;
};

export type ToggleButtonType = {
    selected: string;
    unselected: string;
};

export type IconButtonProps = IconButtonMainProps &
    IRippleProps &
    ButtonHTMLAttributes<HTMLButtonElement>;